langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_gleaning
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldInstanceMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7_geo
label: 'Nodes (Gleaning)'
source:
  plugin: d7_node
  node_type: gleaning
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  body:
    -
      plugin: sub_process
      source: body
      process:
        value: value
        format:
          plugin: default_value
          default_value: 'full_html'
#  field_link:
#    -
#      plugin: field_link
#      source: field_link
  field_image:
    -
      plugin: sub_process
      source: field_inserted_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_upload:
    -
      plugin: sub_process
      source: field_file_upload
      process:
        target_id: fid
        display: display
        description: description
  field_publication_date:
    - plugin: publication_date_default
      source: field_publication_date
      method: process
    - plugin: sub_process
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d\TH:i:s'
          to_format: 'Y-m-d'
          source: value
  path/alias: source_path
  path/pathauto:
    plugin: default_value
    default_value: 0
destination:
  plugin: 'entity:node'
  default_bundle: gleaning
migration_dependencies:
  required:
    - upgrade_d7_user
  optional: {  }
